Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354532 - [RFE] apply RTC parameter should be set differently for best performance
Summary: [RFE] apply RTC parameter should be set differently for best performance
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-guest-agent
Classification: oVirt
Component: General
Version: 1.0.13
Hardware: Unspecified
OS: Unspecified
medium
high vote
Target Milestone: ovirt-4.0.2
: ---
Assignee: Vinzenz Feenstra [evilissimo]
QA Contact: Aleksei Slaikovskii
URL:
Whiteboard:
Depends On:
Blocks: 1328309
TreeView+ depends on / blocked
 
Reported: 2016-07-11 13:53 UTC by Michal Skrivanek
Modified: 2016-08-12 14:28 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Documentation suggested that the USEPLATFORMCLOCK option in bcdedit should be set to 'yes'. This leads to degraded performance on the guest when Hyper-V extensions are enabled. Which is the default setting on Red Hat Enterprise Virtualization for the affected systems (Windows 2008 R2 Server and newer, and Windows 7 and newer). The Red Hat Enterprise Virtualization agent now removes this option on every start of the guest agent service unless this functionality is disabled in the configuration of the guest agent. When the option apply_timer_configuration in the general section is set to false, the agent will skip this behavior and leave the bcdedit configuration completely untouched.
Clone Of:
Environment:
Last Closed: 2016-08-12 14:28:11 UTC
oVirt Team: Virt
rule-engine: ovirt-4.0.z+
ykaul: exception+
lsvaty: testing_plan_complete-
mgoldboi: planning_ack+
rule-engine: devel_ack+
pstehlik: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 60635 master MERGED windows: Apply timer usage parameters for best performance 2016-07-25 09:28:49 UTC
oVirt gerrit 61301 ovirt-4.0 MERGED windows: Apply timer usage parameters for best performance 2016-07-25 09:30:52 UTC

Description Michal Skrivanek 2016-07-11 13:53:08 UTC
Since hyper-v enlightenments has been introduced the USEPLATFORMCLOCK setting should be treated differently, and bug 1328920 should be redone.

The partition reference time enlightenment is supported on Windows platforms
starting from:
Windows 7
Windows 7 SP1
Windows Server 2008 R2
Windows Server 2008 R2 SP1
and forward.
For these the parameter should be disabled .

For WinXP/WS2003/Vista USEPLATFORMCLOCK should be set on.

Comment 1 Vinzenz Feenstra [evilissimo] 2016-07-25 09:35:53 UTC
(In reply to Michal Skrivanek from comment #0)
> Since hyper-v enlightenments has been introduced the USEPLATFORMCLOCK
> setting should be treated differently, and bug 1328920 should be redone.
> 
> The partition reference time enlightenment is supported on Windows platforms
> starting from:
> Windows 7
> Windows 7 SP1
> Windows Server 2008 R2
> Windows Server 2008 R2 SP1
> and forward.
> For these the parameter should be disabled .
> 
> For WinXP/WS2003/Vista USEPLATFORMCLOCK should be set on.

Windows XP, Windows Vista and Windows 2003 Server are no longer supported by us and therefore ignored

Windows 2008 Server does not have the USEPLATFORMCLOCK option at all and therefore it's not implemented - From Windows 2008 R2 and above and from Windows 7 and above we're now deleting the value from the configuration - Unless the ovirt guest agent configuration does not have set the 'general.apply_timer_configuration' value to false (if it is false we won't do anything)

Comment 2 Michal Skrivanek 2016-07-26 07:33:29 UTC
thi sis not really affecting fundamental functionality, it's "just" a performance enhancement, hence reducing severity

pending WGT build

Comment 5 Yaniv Kaul 2016-07-28 16:50:41 UTC
This should get in 4.0.2. 
Do we need it on 4.0.2 branch, or there's only 4.0 for guest agent?

Comment 6 Yaniv Kaul 2016-07-28 16:51:11 UTC
Can we get a QA_ACK for this?

Comment 8 Aleksei Slaikovskii 2016-08-10 11:09:39 UTC
RHEV-Tools 4.0-5 is working good. To verify:

1. Open cmd.exe
2. bcdedit /set <current> useplatformclock true
3. Rund bcdedit again and you will see there's new parameter useplatformclock is setted to yes
4. Then install RHEV-Tools and reboot
5. Run bcdedit again
6. See it's gone (useplatformclock)


Note You need to log in before you can comment on or make changes to this bug.